
/* #region Media Querry */
@media (max-width: 768px) {

    :root {
        --swiper-gap: 20px;
    }
}

@media (min-width: 1023px) and (max-width: 1350px) {
    .brand-text, .header-border {
        display: none;
    }

}

@media (max-width: 768px) {
    .base-swiper {
        z-index: 10;
        height: auto;
        overflow: hidden; /* Скрываем то, что не влезло в экран */
        position: relative;

    }
    .swiper-wrapper {
        display: flex; /* Выстраиваем карточки в ряд */
    }
    .swiper-slide {
        flex-shrink: 0; /* Не даем карточкам сжиматься */
        width: 100%;    /* По умолчанию одна карточка на весь экран */
        filter: grayscale(100%); /* Чуть обесцвечиваем боковые */
        transition: all 0.4s ease;
    }
    .base-swiper .swiper-slide {
        flex-shrink: 0; /* Не даем карточкам сжиматься */
        width: 100%;    /* По умолчанию одна карточка на весь экран */
        filter: grayscale(100%); /* Чуть обесцвечиваем боковые */
        transition: all 0.4s ease;
    }
    .base-swiper .swiper-slide-active {
        filter: grayscale(0);
        /* transform: scale(1.05); */
        z-index: 10;
    }

    .divider-hor--art-deco-steps {
        --height-all: 100%;
        --height-after: 4px;
        --height-line: 2px;
        --width: 25%;
    }

}


@media(min-width: 550px){
    .promo-btn-info {
        font-family: var(--wp--preset--font-family--oda) !important;
        font-size: var(--fs-lg) !important;
        letter-spacing: 0.3rem;
        white-space: pre-wrap;
        text-align: center;
    }
    .promo-btn-info::before{
        content: "Подробнее об Акции";
    }

    .timeline-box-fixed {
        width: 200px; 
    }
}

@media (min-width: 769px) {
    .catalogue-sub { display: block; }

}

@media (min-width: 1025px) {
    .in-double-picture, .in-double-text { width: 50%; }
    .in-double-picture { padding: 0%;}
    .double-container {
        flex: 1 1 50%; 
        flex-direction: row;
    }
    .double-container:nth-child(even){
        flex-direction: row-reverse;
    }

    .grid-auto {
        grid-template-columns: repeat(auto-fill, minmax(280px, 400px));
        padding-left: 0 !important;
        padding-right: 0 !important;
        justify-content: center;
        background: var(--gradient-green-td);
    }

    .grid-faq {
        grid-template-columns: repeat(2, 1fr) !important; 
    }

    .apt-col-price {
        flex-direction: row;
    }

    .catalogue-front-middle {
        border-left: 2px solid gold;
        border-right: 2px solid gold;

    }
    .double-container { gap: var(--space-xl); }

    .native-carousel-wrapper {
        position: absolute;
        left: 0;
        right: 0; 
    }
    .native-carousel-item {
        box-sizing: border-box;
        flex: 0 0 auto; 
        width: max-content; 
    }

    .categories-filter {
        padding: 0 0;
        grid-template-columns: repeat(5, minmax(0, 1fr)); 
    }

    :root {
         --deco-shape-size: 26px;
         --catalogue-shape-size: 54px;
         --swiper-gap: 35px;
         --welcome-image-cut: 40px;
         --border-corner-size: 70px;
    }
}
/* #endregion */

@media (max-width: 480px) {
    .category-btn-text {
        font-size: 13px;
        padding: 8px 10px;
    }
}